Retrieve Results of Deep Copy Job
After submitting a request to deep copy an object record, you can query Vault to determine the results of the request. Before submitting this request:
- You must have previously requested a deep copy job (via the API) which is no longer active.
- You must have a valid
job_idvalue, retrieved from the response of the deep copy request.
GET
/api/{version}/vobjects/deepcopy/results/{object_name}/{job_status}/{job_id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | text/csv (default) |
URI Path Parameters
Section link for URI Path ParametersRequest
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Accept: text/csv" \
https://myvault.veevavault.com/api/v18.1/vobjects/deepcopy/results/product__v/failure/26901Response
Section link for Responseline number,vobject,sourceRecordId,errors
1,product__v,00P000000000301,"""PARAMETER_REQUIRED|Missing required parameter [internal_name__c]"",""OPERATION_NOT_ALLOWED|Another resource already exists with [name__v=WonderDrug]"""